# Property index

A list of CSS properties and their corresponding class names in ZSS.

CSS property | ZSS class<sup>1</sup>  | Variable | Docs | Source file
------------ | ---------- | -------- | ------------ | ----------
`align-content` | `u-flex--content--start` | | [📜](layout/flex.md) | [💻](../src/utilities/_flex.scss)
`align-items` | `u-flex--items--start` | | [📜](layout/flex.md) | [💻](../src/utilities/_flex.scss)
`align-self` | `u-flex--self--start` | | [📜](layout/flex.md) | [💻](../src/utilities/_flex.scss)
`background-color` | `u-bg--black` | `$zss--colors` | [📜](theming/colors.md) | [💻](../src/utilities/_background-color.scss)
`background-position` | `u-bg--center` | | [📜](theming/backgrounds.md) | [💻](../src/utilities/_background-position.scss)
`background-repeat` | `u-bg--no-repeat` | | [📜](theming/backgrounds.md) | [💻](../src/utilities/_background-repeat.scss)
`background-size` | `u-bg--cover` | | [📜](theming/backgrounds.md) | [💻](../src/utilities/_background-size.scss)
`border-color` | `u-bc--black` | `$zss--border-colors` | [📜](theming/borders.md) | [💻](../src/utilities/_border-color.scss)
`border-radius` | `u-br--1` | `$zss--border-radius-scale` | [📜](theming/borders.md)  | [💻](../src/utilities/_border-radius.scss)
`border-style` | `u-bs--dashed` | | [📜](theming/borders.md)  | [💻](../src/utilities/_border-style.scss)
`border-width` | `u-bw--1` | `$zss--border-width-scale` | [📜](theming/borders.md)  | [💻](../src/utilities/_border-width.scss)
`bottom` | `u-bottom--0` | | [📜](layout/position.md) | [💻](../src/utilities/_position.scss)
`clear` | `u-clear--above` | | [📜](layout/clear.md) | [💻](../src/utilities/_clear.scss)
`color` | `u-black` | `$zss--colors` | [📜](theming/colors.md) | [💻](../src/utilities/_color.scss)
`cursor` | `u-pointer` | | [📜](theming/cursor.md) | [💻](../src/utilities/_cursor.scss)
`display` | `u-block` | | [📜](layout/display.md) | [💻](../src/utilities/_display.scss)
`flex` | `u-flex--auto` | | [📜](layout/flex.md) | [💻](../src/utilities/_flex.scss)
`float` | `u-f--right` | | [📜](layout/float.md)  | [💻](../src/utilities/_float.scss)
`font-size` | `u-size--1` | `$zss--type-scale` | [📜](typography/fonts.md) | [💻](../src/utilities/_font-size.scss)
`font-style` | `u-italic` | | [📜](typography/fonts.md) | [💻](../src/utilities/_font-style.scss)
`font-variant` | `u-small-caps` | | [📜](typography/fonts.md) | [💻](../src/utilities/_font-variant.scss)
`font-weight` | `u-weight--100` | | [📜](typography/fonts.md) | [💻](../src/utilities/_font-weight.scss)
`height` | `u-height--50` | `$zss--height--scale`<br>`$zss--height--percentage-scale` | [📜](layout/height.md) | [💻](../src/utilities/_font-weight.scss)
`justify-content` | `u-flex--justify--start` | | [📜](layout/flex.md) | [💻](../src/utilities/_flex.scss)
`left` | `u-left--0` | | [📜](layout/position.md) | [💻](../src/utilities/_position.scss)
`line-height` | `u-lh--1` | `$zss--line-height-scale` | [📜](typography/line-height.md) | [💻](../src/utilities/_line-height.scss)
`margin` | `u-margin--1` | `$zss--spacing-scale` | [📜](layout/margin.md) | [💻](../src/utilities/_margin.scss)
`max-width` | `u-width--mx1` | `$zss--max-width--scale` | [📜](layout/max-width.md) | [💻](../src/utilities/_max-width.scss)
`min-height` | `u-height--m100` | | [📜](layout/min-height.md) | [💻](../src/utilities/_min-height.scss)
`object-fit` | `u-fit--cover` | | [📜](theming/object-fit.md) | [💻](../src/utilities/_object-fit.scss)
`opacity` | `u-opacity--100` | `$zss--color-opacity-scale` | [📜](theming/opacity.md) | [💻](../src/utilities/_opacity.scss)
`overflow` | `u-of--auto` | | [📜](layout/overflow.md) | [💻](../src/utilities/_overflow.scss)
`order` | `u-order--1` | | [📜](layout/flex.md) | [💻](../src/utilities/_flex.scss)
`padding` | `u-padding--1` | `$zss--spacing-scale` | [📜](layout/padding.md) | [💻](../src/utilities/_padding.scss)
`pointer-events` | `u-events--none` | | [📜](interaction/pointer-events.md) | [💻](../src/utilities/_pointer-events.scss)
`position` | `u-absolute` | | [📜](layout/position.md) | [💻](../src/utilities/_position.scss)
`right` | `u-right--0` | | [📜](layout/position.md) | [💻](../src/utilities/_position.scss)
`text-align` | `u-text--center` | | [📜](typography/text-align.md) | [💻](../src/utilities/_text-align.scss)
`text-decoration` | `u-underline` | | [📜](typography/text-decoration.md) | [💻](../src/utilities/_text-decoration.scss)
`text-transform` | `u-upper` | | [📜](typography/text-transform.md) | [💻](../src/utilities/_text-transform.scss)
`top` | `u-top--0` | | [📜](layout/position.md) | [💻](../src/utilities/_position.scss)
`transition` | `u-trans--color` | | [📜](layout/transition.md) | [💻](../src/utilities/_transition.scss) 
`vertical-align` | `u-valign--middle` | | [📜](layout/vertical-align.md) | [💻](../src/utilities/_vertical-align.scss)
`width` | `u-width--50` | `$zss--width--scale`<br>`$zss--width--percentage-scale` | [📜](layout/width.md) | [💻](../src/utilities/_width.scss)
`word-break` | `u-break--word` |  | [📜](typography/word-break.md) | [💻](../src/utilities/_word-break.scss)
`z-index` | `u-z--1` | | [📜](layout/z-index.md) | [💻](../src/utilities/_z-index.scss)

<sup>1</sup> An indication of the name of the class that might be generated. This can be dependent on the configured values.